=== debian/changelog ===
netkit-rusers (0.17-9) unstable; urgency=medium

  * Moved to source format "3.0 (quilt)".
  * Moved to debhelper compat 11
  * Bumped Standards-Version to 4.2.1
    - Include BSD license in debian/copyright
    - Add build-(arch|indep) in debian/rules

  [ Helmut Grohne ]
    * Don't assume location of system headers. (Closes: #798955)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 23 Oct 2018 17:37:54 +0200

netkit-rusers (0.17-8) unstable; urgency=low

  * debian/control:
    - Added alternative Depends on rpcbind (Closes: #564266)
    - Moved netbase Depends to openbsd-inetd | inet-superserver
  * Bumped Standards-Version to 3.8.3.
  * Moved to debhelper compat 7

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 15 Jan 2010 13:14:16 +0100

netkit-rusers (0.17-7) unstable; urgency=low

  * The 'update-inetd' batch release.
  * Moved to debhelper 4. 
     - Created debian/compat. 
     - debian/control. Updated debhelper dependency version.
  * Added Depends on netbase (since we need update-inetd AND an inetd)
    (Closes: #398556)
  * Bumped Standards-Version to 3.7.2.2.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 18 Nov 2006 10:28:29 +0100

netkit-rusers (0.17-6) unstable; urgency=low

  * Patch rusers_proc.c so that num_users gets reset every time the
    function rusers_num is called.
    Thanks Christian Bac. (Closes: #278514)
  * Changed maintainer email address.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon,  8 Nov 2004 12:45:46 +0100

netkit-rusers (0.17-5) unstable; urgency=low

  * New Maintainer. (Closes: #249711)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 19 May 2004 16:38:18 +0200

netkit-rusers (0.17-4) unstable; urgency=low

  * Removed netkit-rpc/libc build-dependency.
  * Depend on debhelper >= 2.
  * Removed netbase dependency.
  * Removed netstd reference in control.
  * Removed build-stamp/install-stamp.
  * Fixed warning in rusers.c.
  * Fixed warning in rup.c.
  * Removed local err/warnx implementation.

 -- Herbert Xu <herbert@debian.org>  Thu, 30 Oct 2003 22:36:30 +1100

netkit-rusers (0.17-3) unstable; urgency=low

  * Updated build-time dependency for rpc (closes: #113257).
  * Updated use of time.h and sys/time.h.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Sep 2001 20:58:00 +1000

netkit-rusers (0.17-2) unstable; urgency=low

  * Depend on portmap (closes: #72182).
  * Added build-time dependencies.

 -- Herbert Xu <herbert@debian.org>  Fri, 22 Sep 2000 19:06:12 +1100

netkit-rusers (0.17-1) unstable; urgency=low

  * New upstream release (closes: #68041).

 -- Herbert Xu <herbert@debian.org>  Tue,  1 Aug 2000 20:10:03 +1000

netkit-rusers (0.11-1) unstable; urgency=low

  * Initial Release.
  * Initialise fromlen (closes: #21544).

 -- Herbert Xu <herbert@debian.org>  Fri, 15 Oct 1999 15:18:26 +1000
