=== debian/control ===
Source: netkit-rusers
Section: net
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11)

Package: rusersd
Architecture: any
Depends: rpcbind | portmap, openbsd-inetd | inet-superserver, ${shlibs:Depends}, ${misc:Depends}
Description: Logged in users server
 This is a server which returns information about users currently logged in to
 the system.

Package: rusers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Displays who is logged in to machines on local network
 The rusers command produces output similar to who, but for the list of hosts
 or all machines on the local network.  For each host responding to the rusers
 query, the hostname with the names of the users currently logged on is printed
 on each line.  The rusers command will wait for one minute to catch late
 responders.
